Package javax.portlet

## Interface EventResponse

All Superinterfaces:
  `PortletResponse`, `StateAwareResponse`

All Known Implementing Classes:
  `EventResponseWrapper`

    public interface EventResponse
    extends StateAwareResponse

The `EventResponse` interface represents the portlet response to an event request. It extends the `StateAwareResponse` interface.
The portlet container creates an `EventResponse` object and passes it as argument to the portlet's `processEvent` method.

Since:
  2.0
See Also:
  `StateAwareResponse`, `PortletResponse`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `setRenderParameters​(EventRequest request)` Maintain the current render parameters of the request for the response.

### Methods inherited from interface javax.portlet.PortletResponse

`addProperty, addProperty, addProperty, createElement, encodeURL, getNamespace, setProperty`

### Methods inherited from interface javax.portlet.StateAwareResponse

`getPortletMode, getRenderParameterMap, getWindowState, removePublicRenderParameter, setEvent, setEvent, setPortletMode, setRenderParameter, setRenderParameter, setRenderParameters, setWindowState`

### Method Detail

#### setRenderParameters

    void setRenderParameters​(EventRequest request)

Maintain the current render parameters of the request for the response.

All previously set render parameters are cleared.

These parameters will be accessible in all subsequent render calls via the `PortletRequest.getParameter` call until a new request is targeted to the portlet.

The given parameters do not need to be encoded prior to calling this method.

Parameters:
  `request` - The request the portlet has been provided with by the portlet container for the current `processEvent` call, must not be `null`.